订阅本站
收藏本站
微博分享
QQ空间分享

在深度Deepin系统中出现依赖关系不满足缺少libjpeg8的解决方法

lilin 分类:教程 时间:2019/11/29 00:24:13 评论: 加入收藏

如果你在深度Deepin操作系统中出现依赖关系不满足缺少libjpeg8的情况,比如在lightworks安装时提示,请用下面方法解决。

在深度Deepin系统中出现依赖关系不满足缺少libjpeg8的解决方法

 

解决方法一

安装软件的时候提示:依赖不足,缺少libjpeg8,找了很多答案,最终找到了source.list文件这里,但是一直提示:无法找到任何名称或者描述中匹配“libjpeg8”的软件包Unable to apply some actions, aborting,后来在source.list,修改了仓库地址就可以了。

扩展知道请参考:使用Deepin默认仓库地址引起无法安装软件软件仓库异常的解决。

 

解决方法二

安装libjpeg8,如下:

zhao@zhao-PC:~$ sudo aptitude install libjpeg8

下列“新”软件包将被安装

libjpeg8

0 个软件包被升级,新安装 1 个,0 个将被删除, 同时 1258 个将不升级。

需要获取 119 kB 的存档。解包后将要使用 293 kB。

读取: 1 http://packages.deepin.com/deepin panda/main amd64 libjpeg8 amd64 8d1-2 [119 kB]

下载 119 kB,耗时 1秒 (61.9 kB/s)

正在选中未选择的软件包 libjpeg8:amd64。

(正在读取数据库 ... 系统当前共安装有 189188 个文件和目录。)

正准备解包 .../libjpeg8_8d1-2_amd64.deb  ...

正在解包 libjpeg8:amd64 (8d1-2) ...

正在设置 libjpeg8:amd64 (8d1-2) ...

注:libjpeg8是旧的共享库,现在已经不支持了。

 

TAG:

文章评论

留言与评论(共有 0 条评论)
   
验证码: